For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Webhooks
      • POSTCreate Webhook
      • GETGet Webhook
      • PUTUpdate Webhook
      • DELDelete Webhook
      • POSTDisable Webhook
      • POSTEnable Webhook
Logo
Log inBook a demo
API ReferenceWebhooks

List Webhooks

GET
https://app.polytomic.com/api/webhooks
GET
/api/webhooks
$curl https://app.polytomic.com/api/webhooks \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "created_at": "2024-01-01T00:00:00Z",
5 "disabled": true,
6 "endpoint": "https://example.com/webhook",
7 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
8 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
9 "secret": "secret"
10 }
11 ]
12}

Lists the webhooks for the caller’s organization.

πŸ“˜ One webhook per organization

An organization can register a single webhook, which receives every event produced in that organization. See the Events documentation for the list of event types and payload shapes.

Was this page helpful?
Previous

Create Webhook

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of objects or null

Errors

500
Internal Server Error